<?php

declare(strict_types=1);

namespace App\Livewire\Components;

use Livewire\Component;

final class Sidebar extends Component
{
    public array $navigation = [];

    public function mount(): void
    {
        $this->navigation = [
            ['name' => 'Dashboard', 'route' => 'guest.dashboard', 'icon' => 'home'],
            ['name' => 'Support tickets', 'route' => 'guest.support-tickets.index', 'icon' => 'lifebuoy'],
            ['name' => 'Account settings', 'route' => 'profile', 'icon' => 'cog-6-tooth'],
        ];
    }

    public function render()
    {
        return view('livewire.components.sidebar');
    }
}
